Workflow-Status nach externer ID aktualisieren
curl --request PUT \
--url https://api.comstruct.com/v1/workflows/status/{external_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"status": "CHECKED"
}
'import requests
url = "https://api.comstruct.com/v1/workflows/status/{external_id}"
payload = { "status": "CHECKED" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'CHECKED'})
};
fetch('https://api.comstruct.com/v1/workflows/status/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": "CHECKED",
"affected_count": 2
}Workflows
Update workflow status
Erforderliche Berechtigungen: invoices:write
Setzt den Rechnungsstatus für alle Rechnungen mit der angegebenen externen ID. API-Schlüssel muss mit einem Kunden verknüpft sein.
PUT
/
workflows
/
status
/
{external_id}
Workflow-Status nach externer ID aktualisieren
Sets the invoice status for all invoices matching the given external ID.
Authorizations
API-Schlüssel zur Authentifizierung. Kontaktieren Sie Ihren Customer Success Manager, um einen API-Schlüssel zu erhalten.
Jeder Endpunkt erfordert spezifische Berechtigungen (Scopes); die erforderlichen Scopes werden pro Endpunkt angezeigt.
Path Parameters
Die externe Kennung der Rechnung/des Workflows
Body
application/json
Neuer Status für alle Rechnungen mit dieser external_id
Available options:
NEW, PROCESSING, FACTUAL_CHECKING, PRICE_CHECKING, POSITIONS_CHECK, CHECKED, CANCELLED, ERROR, OPEN Example:
"CHECKED"